module.exports = {
  create: {
    requestBody: ['title', 'params', 'user', 'tenant', 'remark', 'status', 'dot', 'progress', 'user', 'uri', 'remark'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['title', 'params', 'user', 'tenant', 'remark', 'status', 'dot', 'progress', 'user', 'uri', 'remark'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        title: 'title',
        status: 'status',
        dot: 'dot',
        user: 'user',
        project: 'params.project',
        tenant: 'tenant',
      },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
  start: {
    params: ['!id'],
    service: 'start',
  },
};
