/* eslint valid-jsdoc: "off" */

'use strict';

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = (exports = {});

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1603878155652_3375';

  // add your middleware config here
  config.middleware = [];

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };
  config.cluster = {
    listen: {
      port: 4001,
    },
  };
  // mq配置
  config.amqp = {
    client: {
      hostname: '127.0.0.1',
      username: 'visit',
      password: 'visit',
      vhost: 'platform',
    },
    app: true,
    agent: true,
  };

  // redis config
  config.redis = {
    client: {
      port: 6379, // Redis port
      host: '127.0.0.1', // Redis host
      password: '',
      db: 0,
    },
  };

  // mongoose config
  config.mongoose = {
    url: 'mongodb://127.0.0.1:27017/mission',
    options: {
      user: 'admin',
      pass: 'admin',
      authSource: 'admin',
      useUnifiedTopology: true,
      useNewUrlParser: true,
      useCreateIndex: true,
    },
  };

  config.project = {
    zhwl: 'http://127.0.0.1:7002/api/servicezhwl',
    userAuth: 'http://127.0.0.1:7003/api/role/auth',
  };

  // 安全配置
  config.security = {
    csrf: {
      // ignoreJSON: true, // 默认为 false，当设置为 true 时，将会放过所有 content-type 为 `application/json` 的请求
      enable: false,
    },
  };
  return {
    ...config,
    ...userConfig,
  };
};
